Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01884 Crash/Freeze Critical (emulator) Unable to reproduce Jun 8, 2008, 14:56 Jun 11, 2008, 21:32
Tester etabeta View Status Public Platform SDLMAME
Assigned To aaron Resolution Fixed OS MacOS X
Status [?] Resolved Driver aleck64.cpp
Version 0.125u4 Fixed in Version 0.125u5 Build Debug
Fixed in Git Commit Github Pull Request #
Summary 01884: mtetrisc, vivdolls, starsldr (maybe all): (MAC OS) crashes with "Illegal instruction" message
Description right after the OK screen, they all crashes

unfortunately, I cannot currently test the other sets, nor older builds to find regression version
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems mtetrisc, vivdolls, starsldr (maybe all)
Attached Files
png file icon 0124u4debug.png (166,938 bytes) Jun 9, 2008, 15:35
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.01236
Tafoid
Administrator
Jun 8, 2008, 15:07
edited on: Jun 8, 2008, 15:07
I cannot confirm. 32-bit baseline (Athlon) build. If you running a 64-bit build - the problem might lie there.
User avatar
No.01237
etabeta
Developer
Jun 8, 2008, 16:00
edited on: Jun 8, 2008, 21:17
no.
it's 32bit here but, as I wrote, it's on a debug build... so it could be debug specific

EDIT: if nobody can reproduce this on a debug build, then it could be SDLMAME specific. if this is the case, I'll report it to SDLMAME forum: it would be one of the first time we have SDL specific bugs leading to similar crashes, but I guess it's entirely possible while switching to UML drc is in progress
User avatar
No.01250
Fujix
Administrator
Jun 9, 2008, 15:36
The game works on base-line debug build, 32-bit win here.
User avatar
No.01251
Tafoid
Administrator
Jun 9, 2008, 17:26
Appears to be an MAC specific issue which is being flushed out right now:
http://www.bannister.org/forums/ubbthreads.php?ubb=showflat&Number=41998#Post41998

I'll leave open until a resolution from Aaron about it.